### PersefoneDesktop - a GUI to the Persefone model of agriculture and ecosystems
###
### This file manages the backend of the setup window.
###

function writeconfig()
    println("Wrote config file.")
    
    # TODO create config file with fixed options:
    # - overwrite = true (?)
    # - storedata = true
    # - indoutfreq = "daily"
    # - popoutfreq = "daily"

    #TODO create settings dict
    settings = Dict{String,Any}()
    prepareTOML(settings)
    open(joinpath(settings[core.outdir], settings[core.configfile]), "w") do f
        TOML.print(f, prepareTOML(model.settings))
    end
end

function configwindow()
    #FIXME can't start a new QML engine
    qmlfile = joinpath(dirname(@__FILE__), "config.qml")
    loadqml(qmlfile,
            conf = JuliaPropertyMap("userconfigfile" => userconfigfile,
                                    "outdir" => outdir,
                                    "csvoutput" => csvoutput,
                                    "loglevel" => loglevel,
                                    "processors" => processors,
                                    "seed" => seed,
                                    "startdateday" => startdateday,
                                    "startdatemonth" => startdatemonth,
                                    "startdateyear" => startdateyear,
                                    "enddateday" => enddateday,
                                    "enddatemonth" => enddatemonth,
                                    "enddateyear" => enddateyear,
                                    "region" => region,
                                    "cropmodel" => cropmodel))
    exec()
end
